<div class="container-fuild">
  <container-element [ngSwitch]="gameStatus">
    <!-- information message when we are waiting the opponent -->
    <div *ngSwitchCase="'waiting'">
      <div class="alert alert-info text-center">
        En attente d'un autre joueur...
      </div>
    </div>

    <!--counter counting-->
    <div *ngSwitchCase="'counting'">
      <div class="alert alert-info text-center" *ngIf="timer$ | async as timer">
        <H2
          >Le jeu commence dans
          <b
            ><i>{{ timer }}</i></b
          >
        </H2>
      </div>
    </div>

    <!--counter counting-->
    <div *ngSwitchCase="'running'">
      <div class="alert alert-info text-center">
        <H2>!</H2>
      </div>
    </div>

    <div *ngSwitchCase="'finished'">
      <!-- information message when the game is over-->
      <div
        [class]="
          playerStatus === 'winner'
            ? 'alert alert-success'
            : 'alert alert-danger'
        "
      >
        <H2>{{ playerMessage }}</H2>
        <a routerLink="/inscription" class="btn btn-success"
          >Envie de rejouer ?</a
        >
      </div>
    </div>

    <some-element *ngSwitchDefault></some-element>
  </container-element>

  <!-- information message when counter is counting -->

  <!--game play-->
  <hr />
  <div class="field">
  <div class="row">
    <div class="col-6 position-relative">
      <div>
        <app-player
          [player]="player"
          side="left"
          [status]="playerStatus"
        ></app-player>
      </div>
    </div>
    <div class="col-6 position-relative">
      <app-player
        [player]="opponent"
        side="right"
        [status]="opponentStatus"
      ></app-player>
    </div>
  </div>
</div>
</div>
